# DROP SEQUENCE

DROP SEQUENCE — remove a sequence

### Synopsis

```
DROP SEQUENCE [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]
```

### Description

`DROP SEQUENCE` removes sequence number generators. A sequence can only be dropped by its owner or a superuser.

### Parameters

`IF EXISTS`

Do not throw an error if the sequence does not exist. A notice is issued in this case.

*`name`*

The name (optionally schema-qualified) of a sequence.

`CASCADE`

Automatically drop objects that depend on the sequence, and in turn all objects that depend on those objects (see [Section 5.14](https://www.postgresql.org/docs/13/ddl-depend.html)).`RESTRICT`

Refuse to drop the sequence if any objects depend on it. This is the default.

### 範例

要移除序列物件：

```
DROP SEQUENCE serial;
```

### 相容性

DROP SEQUENCE 符合 SQL 標準，但標準僅允許每個指令移除一個序列，包含除了 IF EXISTS 選項（它是 PostgreSQL 加入的功能）外的部份。

### 參閱

[CREATE SEQUENCE](/13/reference/sql-commands/create-sequence.md), [ALTER SEQUENCE](/13/reference/sql-commands/alter-sequence.md)<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/13/reference/sql-commands/drop-sequence.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
